Index: branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/service_internal.c
===================================================================
--- branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/service_internal.c	(revision 530)
+++ branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/service_internal.c	(revision 531)
@@ -37,46 +37,60 @@
 #endif
 
-int isValidLang(maps* conf,const char *str){
-  map *tmpMap=getMapFromMaps(conf,"main","lang");
-  char *tmp=zStrdup(tmpMap->value);
-  char *pToken=strtok(tmp,",");
-  int res=-1;
-  while(pToken!=NULL){
-    if(strcasecmp(str,pToken)==0){
-      res=1;
-      break;
-    }
-    pToken = strtok(NULL,",");
-  }
-  free(tmp);
+int
+isValidLang (maps * conf, const char *str)
+{
+  map *tmpMap = getMapFromMaps (conf, "main", "lang");
+  char *tmp = zStrdup (tmpMap->value);
+  char *pToken = strtok (tmp, ",");
+  int res = -1;
+  while (pToken != NULL)
+    {
+      if (strcasecmp (str, pToken) == 0)
+        {
+          res = 1;
+          break;
+        }
+      pToken = strtok (NULL, ",");
+    }
+  free (tmp);
   return res;
 }
 
-void printHeaders(maps* m){
-  maps *_tmp=getMaps(m,"headers");
-  if(_tmp!=NULL){
-    map* _tmp1=_tmp->content;
-    while(_tmp1!=NULL){
-      printf("%s: %s\r\n",_tmp1->name,_tmp1->value);
-      _tmp1=_tmp1->next;
-    }
-  }
-}
-
-void addLangAttr(xmlNodePtr n,maps *m){
-  map *tmpLmap=getMapFromMaps(m,"main","language");
-  if(tmpLmap!=NULL)
-    xmlNewProp(n,BAD_CAST "xml:lang",BAD_CAST tmpLmap->value);
+void
+printHeaders (maps * m)
+{
+  maps *_tmp = getMaps (m, "headers");
+  if (_tmp != NULL)
+    {
+      map *_tmp1 = _tmp->content;
+      while (_tmp1 != NULL)
+        {
+          printf ("%s: %s\r\n", _tmp1->name, _tmp1->value);
+          _tmp1 = _tmp1->next;
+        }
+    }
+}
+
+void
+addLangAttr (xmlNodePtr n, maps * m)
+{
+  map *tmpLmap = getMapFromMaps (m, "main", "language");
+  if (tmpLmap != NULL)
+    xmlNewProp (n, BAD_CAST "xml:lang", BAD_CAST tmpLmap->value);
   else
-    xmlNewProp(n,BAD_CAST "xml:lang",BAD_CAST "en-US");
+    xmlNewProp (n, BAD_CAST "xml:lang", BAD_CAST "en-US");
 }
 
 /* Converts a hex character to its integer value */
-char from_hex(char ch) {
-  return isdigit(ch) ? ch - '0' : tolower(ch) - 'a' + 10;
+char
+from_hex (char ch)
+{
+  return isdigit (ch) ? ch - '0' : tolower (ch) - 'a' + 10;
 }
 
 /* Converts an integer value to its hex character*/
-char to_hex(char code) {
+char
+to_hex (char code)
+{
   static char hex[] = "0123456789abcdef";
   return hex[code & 15];
@@ -93,191 +107,231 @@
 #define SHMEMSIZE 4096
 
-static LPVOID lpvMemG = NULL;      // pointer to shared memory
-static HANDLE hMapObjectG = NULL;  // handle to file mapping
-
-int _updateStatus(maps *conf){
+static LPVOID lpvMemG = NULL;   // pointer to shared memory
+static HANDLE hMapObjectG = NULL;       // handle to file mapping
+
+int
+_updateStatus (maps * conf)
+{
   LPWSTR lpszTmp;
   BOOL fInit;
-  char *final_string=NULL;
-  char *s=NULL;
+  char *final_string = NULL;
+  char *s = NULL;
   map *tmpMap1;
-  map *tmpMap=getMapFromMaps(conf,"lenv","sid");
-  if(hMapObjectG==NULL)
-    hMapObjectG = CreateFileMapping( 
-				    INVALID_HANDLE_VALUE,   // use paging file
-				    NULL,                   // default security attributes
-				    PAGE_READWRITE,         // read/write access
-				    0,                      // size: high 32-bits
-				    SHMEMSIZE,              // size: low 32-bits
-				    TEXT(tmpMap->value));   // name of map object
-  if (hMapObjectG == NULL){
-    fprintf(stderr,"Unable to create share memory segment %s !! \n",tmpMap->value);
-    return -2;
-  }
-  fInit = (GetLastError() != ERROR_ALREADY_EXISTS); 
-  if(lpvMemG==NULL)
-    lpvMemG = MapViewOfFile( 
-			    hMapObjectG,     // object to map view of
-			    FILE_MAP_WRITE, // read/write access
-			    0,              // high offset:  map from
-			    0,              // low offset:   beginning
-			    0);             // default: map entire file
-  if (lpvMemG == NULL){
-    fprintf(stderr,"Unable to create or access the shared memory segment %s !! \n",tmpMap->value);
-    return -1;
-  } 
-  memset(lpvMemG, '\0', SHMEMSIZE);
-  tmpMap=getMapFromMaps(conf,"lenv","status");
-  tmpMap1=NULL;
-  tmpMap1=getMapFromMaps(conf,"lenv","message");
+  map *tmpMap = getMapFromMaps (conf, "lenv", "sid");
+  if (hMapObjectG == NULL)
+    hMapObjectG = CreateFileMapping (INVALID_HANDLE_VALUE,      // use paging file
+                                     NULL,      // default security attributes
+                                     PAGE_READWRITE,    // read/write access
+                                     0, // size: high 32-bits
+                                     SHMEMSIZE, // size: low 32-bits
+                                     TEXT (tmpMap->value));     // name of map object
+  if (hMapObjectG == NULL)
+    {
+      fprintf (stderr, "Unable to create share memory segment %s !! \n",
+               tmpMap->value);
+      return -2;
+    }
+  fInit = (GetLastError () != ERROR_ALREADY_EXISTS);
+  if (lpvMemG == NULL)
+    lpvMemG = MapViewOfFile (hMapObjectG,       // object to map view of
+                             FILE_MAP_WRITE,    // read/write access
+                             0, // high offset:  map from
+                             0, // low offset:   beginning
+                             0);        // default: map entire file
+  if (lpvMemG == NULL)
+    {
+      fprintf (stderr,
+               "Unable to create or access the shared memory segment %s !! \n",
+               tmpMap->value);
+      return -1;
+    }
+  memset (lpvMemG, '\0', SHMEMSIZE);
+  tmpMap = getMapFromMaps (conf, "lenv", "status");
+  tmpMap1 = NULL;
+  tmpMap1 = getMapFromMaps (conf, "lenv", "message");
   lpszTmp = (LPWSTR) lpvMemG;
-  final_string=(char*)malloc((strlen(tmpMap1->value)+strlen(tmpMap->value)+2)*sizeof(char));
-  sprintf(final_string,"%s|%s",tmpMap->value,tmpMap1->value);
-  for(s=final_string;*s!='\0';*s++){
-    *lpszTmp++ = *s;
-  }
+  final_string =
+    (char *) malloc ((strlen (tmpMap1->value) + strlen (tmpMap->value) + 2) *
+                     sizeof (char));
+  sprintf (final_string, "%s|%s", tmpMap->value, tmpMap1->value);
+  for (s = final_string; *s != '\0'; *s++)
+    {
+      *lpszTmp++ = *s;
+    }
   *lpszTmp++ = '\0';
-  free(final_string);
+  free (final_string);
   return 0;
 }
 
-char* getStatus(int pid){
-  char *lpszBuf=(char*) malloc(SHMEMSIZE*sizeof(char));
-  int i=0;
-  LPWSTR lpszTmp=NULL;
+char *
+getStatus (int pid)
+{
+  char *lpszBuf = (char *) malloc (SHMEMSIZE * sizeof (char));
+  int i = 0;
+  LPWSTR lpszTmp = NULL;
   LPVOID lpvMem = NULL;
   HANDLE hMapObject = NULL;
-  BOOL fIgnore,fInit;
+  BOOL fIgnore, fInit;
   char tmp[100];
-  sprintf(tmp,"%i",pid);
-  if(hMapObject==NULL)
-    hMapObject = CreateFileMapping( 
-				   INVALID_HANDLE_VALUE,   // use paging file
-				   NULL,                   // default security attributes
-				   PAGE_READWRITE,         // read/write access
-				   0,                      // size: high 32-bits
-				   4096,                   // size: low 32-bits
-				   TEXT(tmp));   // name of map object
-  if (hMapObject == NULL) 
+  sprintf (tmp, "%i", pid);
+  if (hMapObject == NULL)
+    hMapObject = CreateFileMapping (INVALID_HANDLE_VALUE,       // use paging file
+                                    NULL,       // default security attributes
+                                    PAGE_READWRITE,     // read/write access
+                                    0,  // size: high 32-bits
+                                    4096,       // size: low 32-bits
+                                    TEXT (tmp));        // name of map object
+  if (hMapObject == NULL)
     return FALSE;
-  if((GetLastError() != ERROR_ALREADY_EXISTS)){
-    fIgnore = UnmapViewOfFile(lpvMem); 
-    fIgnore = CloseHandle(hMapObject);
+  if ((GetLastError () != ERROR_ALREADY_EXISTS))
+    {
+      fIgnore = UnmapViewOfFile (lpvMem);
+      fIgnore = CloseHandle (hMapObject);
+      return "-1";
+    }
+  fInit = TRUE;
+  if (lpvMem == NULL)
+    lpvMem = MapViewOfFile (hMapObject, // object to map view of
+                            FILE_MAP_READ,      // read/write access
+                            0,  // high offset:  map from
+                            0,  // low offset:   beginning
+                            0); // default: map entire file
+  if (lpvMem == NULL)
     return "-1";
-  }
-  fInit=TRUE;
-  if(lpvMem==NULL)
-    lpvMem = MapViewOfFile( 
-			   hMapObject,     // object to map view of
-			   FILE_MAP_READ,  // read/write access
-			   0,              // high offset:  map from
-			   0,              // low offset:   beginning
-			   0);             // default: map entire file
-  if (lpvMem == NULL) 
-    return "-1"; 
   lpszTmp = (LPWSTR) lpvMem;
-  while (*lpszTmp){
-    lpszBuf[i] = (char)*lpszTmp;
-    *lpszTmp++; 
-    lpszBuf[i+1] = '\0'; 
-    i++;
-  }
+  while (*lpszTmp)
+    {
+      lpszBuf[i] = (char) *lpszTmp;
+      *lpszTmp++;
+      lpszBuf[i + 1] = '\0';
+      i++;
+    }
 #ifdef DEBUG
-  fprintf(stderr,"READING STRING S %s\n",lpszBuf);
-#endif
-  return (char*)lpszBuf;
-}
-
-void unhandleStatus(maps *conf){
+  fprintf (stderr, "READING STRING S %s\n", lpszBuf);
+#endif
+  return (char *) lpszBuf;
+}
+
+void
+unhandleStatus (maps * conf)
+{
   BOOL fIgnore;
-  fIgnore = UnmapViewOfFile(lpvMemG); 
-  fIgnore = CloseHandle(hMapObjectG);
+  fIgnore = UnmapViewOfFile (lpvMemG);
+  fIgnore = CloseHandle (hMapObjectG);
 }
 #else
 
-void unhandleStatus(maps *conf){
+void
+unhandleStatus (maps * conf)
+{
   int shmid;
   key_t key;
   void *shm;
   struct shmid_ds shmids;
-  map *tmpMap=getMapFromMaps(conf,"lenv","sid");
-  if(tmpMap!=NULL){
-    key=atoi(tmpMap->value);
-    if ((shmid = shmget(key, SHMSZ, IPC_CREAT | 0666)) < 0) {
+  map *tmpMap = getMapFromMaps (conf, "lenv", "sid");
+  if (tmpMap != NULL)
+    {
+      key = atoi (tmpMap->value);
+      if ((shmid = shmget (key, SHMSZ, IPC_CREAT | 0666)) < 0)
+        {
 #ifdef DEBUG
-      fprintf(stderr,"shmget failed to update value\n");
-#endif
-    }else{
-      if ((shm = shmat(shmid, NULL, 0)) == (char *) -1) {
+          fprintf (stderr, "shmget failed to update value\n");
+#endif
+        }
+      else
+        {
+          if ((shm = shmat (shmid, NULL, 0)) == (char *) -1)
+            {
 #ifdef DEBUG
-	fprintf(stderr,"shmat failed to update value\n");
-#endif
-      }else{
-	shmdt(shm);
-	shmctl(shmid,IPC_RMID,&shmids);
-      }
-    }
-  }
-}
-
-int _updateStatus(maps *conf){
+              fprintf (stderr, "shmat failed to update value\n");
+#endif
+            }
+          else
+            {
+              shmdt (shm);
+              shmctl (shmid, IPC_RMID, &shmids);
+            }
+        }
+    }
+}
+
+int
+_updateStatus (maps * conf)
+{
   int shmid;
   key_t key;
-  char *shm,*s,*s1;
-  map *tmpMap=NULL;
-  tmpMap=getMapFromMaps(conf,"lenv","sid");
-  if(tmpMap!=NULL){
-    key=atoi(tmpMap->value);
-    if ((shmid = shmget(key, SHMSZ, IPC_CREAT | 0666)) < 0) {
+  char *shm, *s, *s1;
+  map *tmpMap = NULL;
+  tmpMap = getMapFromMaps (conf, "lenv", "sid");
+  if (tmpMap != NULL)
+    {
+      key = atoi (tmpMap->value);
+      if ((shmid = shmget (key, SHMSZ, IPC_CREAT | 0666)) < 0)
+        {
 #ifdef DEBUG
-      fprintf(stderr,"shmget failed to create new Shared memory segment\n");
-#endif
-      return -2;
-    }else{
-      if ((shm = (char*) shmat(shmid, NULL, 0)) == (char *) -1) {
+          fprintf (stderr,
+                   "shmget failed to create new Shared memory segment\n");
+#endif
+          return -2;
+        }
+      else
+        {
+          if ((shm = (char *) shmat (shmid, NULL, 0)) == (char *) -1)
+            {
 #ifdef DEBUG
-	fprintf(stderr,"shmat failed to update value\n");
-#endif
-	return -1;
-      }
-      else{
-	tmpMap=getMapFromMaps(conf,"lenv","status");
-	s1=shm;
-	for(s=tmpMap->value;*s!=NULL && *s!=0;s++){
-	  *s1++=*s;
-	}
-	*s1++='|';
-	tmpMap=getMapFromMaps(conf,"lenv","message");
-	if(tmpMap!=NULL)
-	  for(s=tmpMap->value;*s!=NULL && *s!=0;s++){
-	    *s1++=*s;
-	}
-	*s1=NULL;
-	shmdt((void *)shm);
-      }
-    }
-  }
+              fprintf (stderr, "shmat failed to update value\n");
+#endif
+              return -1;
+            }
+          else
+            {
+              tmpMap = getMapFromMaps (conf, "lenv", "status");
+              s1 = shm;
+              for (s = tmpMap->value; *s != NULL && *s != 0; s++)
+                {
+                  *s1++ = *s;
+                }
+              *s1++ = '|';
+              tmpMap = getMapFromMaps (conf, "lenv", "message");
+              if (tmpMap != NULL)
+                for (s = tmpMap->value; *s != NULL && *s != 0; s++)
+                  {
+                    *s1++ = *s;
+                  }
+              *s1 = NULL;
+              shmdt ((void *) shm);
+            }
+        }
+    }
   return 0;
 }
 
-char* getStatus(int pid){
+char *
+getStatus (int pid)
+{
   int shmid;
   key_t key;
   void *shm;
-  key=pid;
-  if ((shmid = shmget(key, SHMSZ, 0666)) < 0) {
+  key = pid;
+  if ((shmid = shmget (key, SHMSZ, 0666)) < 0)
+    {
 #ifdef DEBUG
-    fprintf(stderr,"shmget failed in getStatus\n");
-#endif
-  }else{
-    if ((shm = shmat(shmid, NULL, 0)) == (char *) -1) {
+      fprintf (stderr, "shmget failed in getStatus\n");
+#endif
+    }
+  else
+    {
+      if ((shm = shmat (shmid, NULL, 0)) == (char *) -1)
+        {
 #ifdef DEBUG
-      fprintf(stderr,"shmat failed in getStatus\n");
-#endif
-    }else{
-      return (char*)shm;
-    }
-  }
-  return (char*)"-1";
+          fprintf (stderr, "shmat failed in getStatus\n");
+#endif
+        }
+      else
+        {
+          return (char *) shm;
+        }
+    }
+  return (char *) "-1";
 }
 
@@ -287,36 +341,41 @@
 
 JSBool
-JSUpdateStatus(JSContext *cx, uintN argc, jsval *argv1)
-{
-  jsval *argv = JS_ARGV(cx,argv1);
-  JS_MaybeGC(cx);
-  int istatus=0;
-  char *status=NULL;
+JSUpdateStatus (JSContext * cx, uintN argc, jsval * argv1)
+{
+  jsval *argv = JS_ARGV (cx, argv1);
+  JS_MaybeGC (cx);
+  int istatus = 0;
+  char *status = NULL;
   maps *conf;
-  if(argc>2){
+  if (argc > 2)
+    {
 #ifdef JS_DEBUG
-    fprintf(stderr,"Number of arguments used to call the function : %i",argc);
-#endif
-    return JS_FALSE;
-  }
-  conf=mapsFromJSObject(cx,argv[0]);
-  if(JS_ValueToInt32(cx,argv[1],&istatus)==JS_TRUE){
-    char tmpStatus[4];
-    sprintf(tmpStatus,"%i",istatus);
-    tmpStatus[3]=0;
-    status=strdup(tmpStatus);
-  }
-  if(getMapFromMaps(conf,"lenv","status")!=NULL){
-    if(status!=NULL){
-      setMapInMaps(conf,"lenv","status",status);
-      free(status);
-    }
-    else
-      setMapInMaps(conf,"lenv","status","15");
-    _updateStatus(conf);
-  }
-  freeMaps(&conf);
-  free(conf);
-  JS_MaybeGC(cx);
+      fprintf (stderr, "Number of arguments used to call the function : %i",
+               argc);
+#endif
+      return JS_FALSE;
+    }
+  conf = mapsFromJSObject (cx, argv[0]);
+  if (JS_ValueToInt32 (cx, argv[1], &istatus) == JS_TRUE)
+    {
+      char tmpStatus[4];
+      sprintf (tmpStatus, "%i", istatus);
+      tmpStatus[3] = 0;
+      status = strdup (tmpStatus);
+    }
+  if (getMapFromMaps (conf, "lenv", "status") != NULL)
+    {
+      if (status != NULL)
+        {
+          setMapInMaps (conf, "lenv", "status", status);
+          free (status);
+        }
+      else
+        setMapInMaps (conf, "lenv", "status", "15");
+      _updateStatus (conf);
+    }
+  freeMaps (&conf);
+  free (conf);
+  JS_MaybeGC (cx);
   return JS_TRUE;
 }
@@ -328,15 +387,21 @@
 /* Returns a url-encoded version of str */
 /* IMPORTANT: be sure to free() the returned string after use */
-char *url_encode(char *str) {
-  char *pstr = str, *buf = (char*) malloc(strlen(str) * 3 + 1), *pbuf = buf;
-  while (*pstr) {
-    if (isalnum(*pstr) || *pstr == '-' || *pstr == '_' || *pstr == '.' || *pstr == '~') 
-      *pbuf++ = *pstr;
-    else if (*pstr == ' ') 
-      *pbuf++ = '+';
-    else 
-      *pbuf++ = '%', *pbuf++ = to_hex(*pstr >> 4), *pbuf++ = to_hex(*pstr & 15);
-    pstr++;
-  }
+char *
+url_encode (char *str)
+{
+  char *pstr = str, *buf = (char *) malloc (strlen (str) * 3 + 1), *pbuf =
+    buf;
+  while (*pstr)
+    {
+      if (isalnum (*pstr) || *pstr == '-' || *pstr == '_' || *pstr == '.'
+          || *pstr == '~')
+        *pbuf++ = *pstr;
+      else if (*pstr == ' ')
+        *pbuf++ = '+';
+      else
+        *pbuf++ = '%', *pbuf++ = to_hex (*pstr >> 4), *pbuf++ =
+          to_hex (*pstr & 15);
+      pstr++;
+    }
   *pbuf = '\0';
   return buf;
